[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

[dm-devel] Compiling multipath-tools



Hi, I am trying to use kernel 2.6.37.6 and build the latest version of multipath-tools. I have downloaded the source from http://christophe.varoqui.free.fr/multipath-tools/multipath-tools-0.4.9.tar.bz2 which compiles fine; though when I try and create the RPM I see: 

Processing files: multipath-tools-__VERSION__-1 
error: File not found by glob: /var/tmp/multipath-tools-__VERSION__-1-buildroot/lib/multipath/*.so 
Checking for unpackaged file(s): /usr/lib/rpm/check-files /var/tmp/multipath-tools-__VERSION__-1-buildroot 
error: Installed (but unpackaged) file(s) found: 
/lib64/libmultipath.so.0 
/lib64/multipath/libcheckcciss_tur.so 
/lib64/multipath/libcheckdirectio.so 
/lib64/multipath/libcheckemc_clariion.so 
/lib64/multipath/libcheckhp_sw.so 
/lib64/multipath/libcheckrdac.so 
/lib64/multipath/libcheckreadsector0.so 
/lib64/multipath/libchecktur.so 
/lib64/multipath/libprioalua.so 
/lib64/multipath/libprioconst.so 
/lib64/multipath/libpriodatacore.so 
/lib64/multipath/libprioemc.so 
/lib64/multipath/libpriohds.so 
/lib64/multipath/libpriohp_sw.so 
/lib64/multipath/libprionetapp.so 
/lib64/multipath/libpriorandom.so 
/lib64/multipath/libpriordac.so 

What I am attempting to achieve is the ability to use a newer kernel with the latest multipath and open-iscsi toolsets. 

Any advice would be gratefully appreciated. 

-- 
Thanks, Phil

[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]